org.jboss.netty.handler.codec.spdy

## Class SpdyFrameDecoder

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - org.jboss.netty.handler.codec.spdy.SpdyFrameDecoder

- All Implemented Interfaces:
    ChannelHandler, ChannelUpstreamHandler, LifeCycleAwareChannelHandler

      public class SpdyFrameDecoder
      extends FrameDecoder

  Decodes `ChannelBuffer`s into SPDY Data and Control Frames.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `cumulation, DEFAULT_MAX_COMPOSITEBUFFER_COMPONENTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpdyFrameDecoder()` Deprecated.
    `SpdyFrameDecoder(int version)` Creates a new instance with the specified `version` and the default `maxChunkSize (8192)` and `maxHeaderSize (16384)`.
    `SpdyFrameDecoder(int version, int maxChunkSize, int maxHeaderSize)` Creates a new instance with the specified parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `decode(ChannelHandlerContext ctx, Channel channel, ChannelBuffer buffer)` Decodes the received packets so far into a frame.
    `protected Object` | `decodeLast(ChannelHandlerContext ctx, Channel channel, ChannelBuffer buffer)` Decodes the received data so far into a frame when the channel is disconnected.

    - ### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `actualReadableBytes, afterAdd, afterRemove, appendToCumulation, beforeAdd, beforeRemove, channelClosed, channelDisconnected, cleanup, exceptionCaught, getMaxCumulationBufferCapacity, getMaxCumulationBufferComponents, internalBuffer, isUnfold, messageReceived, newCumulationBuffer, replace, setMaxCumulationBufferCapacity, setMaxCumulationBufferComponents, setUnfold, unfoldAndFireMessageReceived, updateCumulation`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpdyFrameDecoder

          @Deprecated
          public SpdyFrameDecoder()

      Deprecated.
      Creates a new instance with the default `version (2)`, `maxChunkSize (8192)`, and `maxHeaderSize (16384)`.

    - #### SpdyFrameDecoder

          public SpdyFrameDecoder(int version)

      Creates a new instance with the specified `version` and the default `maxChunkSize (8192)` and `maxHeaderSize (16384)`.

    - #### SpdyFrameDecoder

          public SpdyFrameDecoder(int version,
                          int maxChunkSize,
                          int maxHeaderSize)

      Creates a new instance with the specified parameters.

  - ### Method Detail

    - #### decodeLast

          protected Object decodeLast(ChannelHandlerContext ctx,
                          Channel channel,
                          ChannelBuffer buffer)
                               throws Exception

      Description copied from class: `FrameDecoder`
      Decodes the received data so far into a frame when the channel is disconnected.
      Overrides:
        `decodeLast` in class `FrameDecoder`
      Parameters:
        `ctx` - the context of this handler
        `channel` - the current channel
        `buffer` - the cumulative buffer of received packets so far. Note that the buffer might be empty, which means you should not make an assumption that the buffer contains at least one byte in your decoder implementation.
      Returns:
        the decoded frame if a full frame was received and decoded. `null` if there's not enough data in the buffer to decode a frame.
      Throws:
        `Exception`

    - #### decode

          protected Object decode(ChannelHandlerContext ctx,
                      Channel channel,
                      ChannelBuffer buffer)
                           throws Exception

      Description copied from class: `FrameDecoder`
      Decodes the received packets so far into a frame.
      Specified by:
        `decode` in class `FrameDecoder`
      Parameters:
        `ctx` - the context of this handler
        `channel` - the current channel
        `buffer` - the cumulative buffer of received packets so far. Note that the buffer might be empty, which means you should not make an assumption that the buffer contains at least one byte in your decoder implementation.
      Returns:
        the decoded frame if a full frame was received and decoded. `null` if there's not enough data in the buffer to decode a frame.
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.